% Compute boundary of domain of stability for Adams-Bashfort (m=1,...,4)
mstep_stab([1 -1], [0 1], 'k');
hold on;
mstep_stab([1 -1 0], [0 3/2 -1/2], 'r');
mstep_stab([1 -1 0 0], [0 23/12 -4/3 5/12], 'b');
mstep_stab([1 -1 0 0 0], [0 55/24 -59/24 37/24 -3/8], 'm');
xlim([-2.5,.5]);
ylim([-1.5 1.5]);
hline = findobj(gcf, 'type', 'line');
set(hline, 'LineWidth', 4);
legend('ab1','ab2','ab3','ab4');
axis square;
